query listTeamMemberInvite @auth(level: USER) {
  teamMemberInvites {
    id
    teamId
    inviteCode
    email
    inviteStatus
  }
}

query getTeamMemberInviteById(
  $id: UUID!
) @auth(level: USER) {
  teamMemberInvite(id: $id) {
    id
    teamId
    inviteCode
    email
    inviteStatus
  }
}

query filterTeamMemberInvite(
  $teamId: UUID,
  $email: String,
  $inviteStatus: TeamMemberInviteStatus
) @auth(level: USER) {
  teamMemberInvites(
    where: {
      teamId: { eq: $teamId }
      email: { eq: $email }
      inviteStatus: { eq: $inviteStatus }
    }
  ) {
    id
    teamId
    inviteCode
    email
    inviteStatus
  }
}
